Subject: Re: FYI: SM5xx toolchain project berliOS registration

From: Andrey Volkov <[email-masked]>
Date: Tue, 21 Nov 2006 15:08:11 +0300

Hi Stephen,

Stephen Yee wrote:
> Hi All,
>  I want to make Voyager GX PCI Demo Board Ver.A(a PCI cards with
> SiliconMotion SM501 chip) work on PPC 405ep board to support CRT
> monitor, I have ported Andrey Volkov's SiliconMotion SM501 drivers to
> 2.6.17,  and I have modified the module parameter 'active_plane' to CRT,
> but, I can't get anything from the CRT monitor, and the relative console
> messages as following:
It is not sufficient, I'm sorry, but driver is not in production stage.

sm5xx_fb_default_var, module_param(active_plane, int, ....) (at the
bottom of sm5xx_fb.c) must be correct too.

Default/active plane(s) must be, certainly, selected by driver
parameter, but...

> 
> ....
> registered sm5xx-fb device
> sm5xx_fb_enable_controller: Enabling CRT controller
> Console: switching to colour frame buffer device 128x48
> fb0: SM5xx CRT frame buffer device
> .....
> 
> is Here a  successful  story  about using SM501 on PPC platform with
> this driver?  and would you please give me some advices to drive this
> devices?
Properly speaking, we are use SM5xx on our MPC5200 based board.
So this driver, by definition, working on PPC ;).
AFAIK, only one problem exist in kernel FB: it is 16bpp (AKA RGB565).
(in DirectFB and in X such problem worked around)

P.S. Stephen, as I pointed in my mail, which you are quote,
[email-masked] is working, so, please, CC such mails
in this list too.

--
Andrey Volkov

> Thanks in Advance.
> Stephen.
> 
> Andrey Volkov wrote:
> 
>> Hi all,
>>
>> Yesterday I issued new SiliconMotion SM501 drivers
>> project request to berlios, and receive
>> approvement couple hours ago.
>>
>> So project home page is:
>>
>> http://developer.berlios.de/projects/sm5xx/
>>
>> Anyone who wants admin/write-access, please register with
>> berlios and tell me your account.
>>
>> SVN will be activated in nearest hours.
>> Berlios has direct shell access to your repos.
>> So if there are any svn/CVS-dumps to import or any
>> scripts to set up...
>>
>> The central mailing list
>>
>>     [email-masked]
>>
>> will be active soon too.
>>
>> -- 
>> Happy hacking ;),
>>
>> Andrey Volkov
>> Varma Electronics Oy
>>
>> -------- Original Message --------
>> Subject: BerliOS Developer Project Approved
>> Date: Wed, 11 Oct 2006 12:49:58 +0200 (CEST)
>> From: [email-masked]
>> To: [email-masked]
>>
>> Your project registration for BerliOS Developer has been approved.
>>
>> Project Full Name:  SM5xx Toolchain
>> Project Unix Name:  sm5xx
>> CVS Server:         cvs.berlios.de
>> SVN Server:         svn.berlios.de
>> Shell Server:       shell.berlios.de
>> Web Server:         sm5xx.berlios.de
>>
>>
>> _______________________________________________
>> Linuxppc-embedded mailing list
>> [email-masked]
>> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
>>
>>
>>  
>>
> 
> 
> 
>